TIFFImageWriter
Date: 2016-04-28

org.apache.xmlgraphics.image.writer.internal

## Class TIFFImageWriter

- java.lang.Object
- - org.apache.xmlgraphics.image.writer.AbstractImageWriter
  - - org.apache.xmlgraphics.image.writer.internal.TIFFImageWriter

- All Implemented Interfaces:
    ImageWriter

      public class TIFFImageWriter
      extends AbstractImageWriter

  ImageWriter implementation that uses the internal TIFF codec to write TIFF files.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TIFFImageWriter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiImageWriter` | `createMultiImageWriter(java.io.OutputStream out)` Creates a MultiImageWriter instance that lets you put multiple pages into a single file if the format supports it.
    `java.lang.String` | `getMIMEType()`
    `boolean` | `supportsMultiImageWriter()`
    `void` | `writeImage(java.awt.image.RenderedImage image, java.io.OutputStream out)` Encodes an image and writes it to an OutputStream.
    `void` | `writeImage(java.awt.image.RenderedImage image, java.io.OutputStream out, ImageWriterParams params)` Encodes an image and writes it to an OutputStream.

    - ### Methods inherited from class org.apache.xmlgraphics.image.writer.AbstractImageWriter

      `isFunctional`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TIFFImageWriter

          public TIFFImageWriter()

  - ### Method Detail

    - #### writeImage

          public void writeImage(java.awt.image.RenderedImage image,
                        java.io.OutputStream out)
                          throws java.io.IOException

      Encodes an image and writes it to an OutputStream.
      Parameters:
        `image` - the image to be encoded
        `out` - the OutputStream to write to
      Throws:
        `java.io.IOException` - In case of an /IO problem

    - #### writeImage

          public void writeImage(java.awt.image.RenderedImage image,
                        java.io.OutputStream out,
                        ImageWriterParams params)
                          throws java.io.IOException

      Encodes an image and writes it to an OutputStream.
      Parameters:
        `image` - the image to be encoded
        `out` - the OutputStream to write to
        `params` - a parameters object to customize the encoding.
      Throws:
        `java.io.IOException` - In case of an /IO problem

    - #### getMIMEType

          public java.lang.String getMIMEType()

      Returns:
        the target MIME type supported by this ImageWriter

    - #### createMultiImageWriter

          public MultiImageWriter createMultiImageWriter(java.io.OutputStream out)
                                                  throws java.io.IOException

      Creates a MultiImageWriter instance that lets you put multiple pages into a single file if the format supports it.
      Specified by:
        `createMultiImageWriter` in interface `ImageWriter`
      Overrides:
        `createMultiImageWriter` in class `AbstractImageWriter`
      Parameters:
        `out` - the OutputStream to write the image to
      Returns:
        the requested MultiImageWriter instance
      Throws:
        `java.io.IOException` - In case of an /IO problem
      See Also:
        `ImageWriter.createMultiImageWriter( java.io.OutputStream)`

    - #### supportsMultiImageWriter

          public boolean supportsMultiImageWriter()

      Specified by:
        `supportsMultiImageWriter` in interface `ImageWriter`
      Overrides:
        `supportsMultiImageWriter` in class `AbstractImageWriter`
      Returns:
        true if the implemented format supports multiple pages in a single file
      See Also:
        `ImageWriter.supportsMultiImageWriter()`